Skip to main content

[Section A] Spot trading data

24h summary

GET https://openapi.idax.exchange/v2/pub/summary
Query parameters: None

Response parameters:

NameTypeExampleDescription
codestring
msgstring
dataobject
data.symbolobject
  ├─ idinteger46Token ID
  ├─ isFrozenstring0Whether frozen
  ├─ laststring98000Latest price
  ├─ high24hrstring9800024h high
  ├─ low24hrstring9800024h lowest price
  ├─ quoteVolumestring024h volume
  ├─ baseVolumestring024h transactions
  ├─ percentChangestring0Percent change
  ├─ lowestAskstring024h seller’s lowest price
  ├─ highestBidstring024h buyer’s highest price
coinsobject
  ├─ namestringUSDTCurrency name
  ├─ withdrewstringONWhether withdrawals are enabled
  ├─ depositstringONWhether deposits are enabled
{
    "msg": "success",
    "code": "200",
    "data": {
        "ETH_USDT": {
            "high24hr": "238.2",
            "percentChange": "0",
            "last": "238.2",
            "highestBid": "0",
            "id": 47,
            "quoteVolume": "0",
            "isFrozen": "0",
            "baseVolume": "0",
            "lowestAsk": "0",
            "low24hr": "238.2"
        },
        "BCH_USDT": {
            "high24hr": "1",
            "percentChange": "0",
            "last": "1",
            "highestBid": "0",
            "id": 49,
            "quoteVolume": "0",
            "isFrozen": "0",
            "baseVolume": "0",
            "lowestAsk": "0",
            "low24hr": "1"
        }
    },
    "coins": {
        "MATIC": {
            "withdrew": "ON",
            "name": "MATIC",
            "deposit": "ON"
        },
        "FAIR": {
            "withdrew": "ON",
            "name": "FAIR",
            "deposit": "ON"
        }
    }
}

List of currencies

GET https://openapi.idax.exchange/v2/pub/asset
Query parameters: None

Response parameters:

NameTypeExampleDescription
namestringBitcoinCurrency name
unified_cryptoasset_idinteger1Currency ID
can_withdrawinteger1Whether withdrawal is enabled
can_depositinteger1Whether deposit is enabled
min_withdrawnumber0.2000000000000000Minimum value of a single withdrawal
max_withdrawnumber120.0000000000000000Maximum value of a single withdrawal
maker_feenumber0.00100000Maker fee
taker_feenumber0.00100000Taker fee
contractAddressstring?0xA64455a4553C9034236734FadDAddbb64aCE4Cc7Contract address of token
{
    "BTC": {
        "max_withdraw": 120.0000000000000000,
        "maker_fee": 0.00100000,
        "name": "Bitcoin",
        "taker_fee": 0.00100000,
        "can_withdraw": 1,
        "can_deposit": 1,
        "unified_cryptoasset_id": 1,
        "min_withdraw": 0.2000000000000000
    },
    "ATC": {
        "max_withdraw": 100000.0000000000000000,
        "maker_fee": 0.00100000,
        "name": "ATC",
        "taker_fee": 0.00100000,
        "can_withdraw": 1,
        "can_deposit": 1,
        "unified_cryptoasset_id": 1465,
        "min_withdraw": 50.0000000000000000
    }
}

Coin quotes

GET https://openapi.idax.exchange/v2/pub/ticker
Query parameters: None

Response parameters:

NameTypeExampleDescription
base_idinteger50Base currency ID
quote_idinteger49Quote currency ID
last_pricenumber98000.0000000000000000Last transaction price
base_volumenumber0.1020408100000000Last volume
quote_volumenumber0.0000010412327551Last turnover
24_base_volumestring0.00000024h volume
24_quote_volumestring0.000000000024h turnover
{
    "ETH_BTC": {
        "24_base_volume": "0.0000",
        "base_id": 51,
        "quote_volume": 46.6795548917722849,
        "quote_id": 50,
        "base_volume": 2.0000000000000000,
        "24_quote_volume": "0.0000",
        "last_price": 0.0428453100000000
    },
    "BTC_USDT": {
        "24_base_volume": "0.000000",
        "base_id": 50,
        "quote_volume": 0.0000010412327551,
        "quote_id": 49,
        "base_volume": 0.1020408100000000,
        "24_quote_volume": "0.0000000000",
        "last_price": 98000.0000000000000000
    }
}

Disc data

GET https://openapi.idax.exchange/v2/pub/orderbook

Query parameters:

NameTypeDescription
basestringBase currency
quotestringQuote currency
symbolstringToken name (not required if base and quote are provided, otherwise required)
depthintegerPrecision: 0 = 0.01, 1 = 0.1, 2 = 0. Default is 0
bidsintegerNumber of buy orders to return. Default is 100
asksintegerNumber of sell orders to return. Default is 100

Response parameters:

NameTypeExampleDescription
dateinteger(int64)1766991308472Unix timestamp (ms) of the last update
bidsarray[[1000,0.1], [2000,0.2]]Array of [price, quantity] pairs for each buy order
asksarray[[2000,0.2], [3000,0.3]]Array of [price, quantity] pairs for each sell order
{
    "date": 1766991308472,
    "asks": [
        [196000, 0.46938777],
        [197001.86, 0.1]
    ],
    "bids": [
        [196000, 0.46938777],
        [197001.86, 0.1]
    ]
}

List of deals

GET https://openapi.idax.exchange/v2/pub/trades

Query parameters:

NameTypeDescription
basestringBase currency
quotestringQuote currency
symbolstringToken name (not required if base and quote are provided, otherwise required)
tradesintegerNumber of trades to return. Default is 100

Response parameters:

NameTypeExampleDescription
trade_idinteger(int64)52594124Transaction ID
pricenumber98000.0000000000000000Transaction price
typestringBUYOrder direction
timestampinteger(int64)1762965571597Transaction timestamp
base_volumenumber0.1020408100000000Volume
quote_volumenumber0.0000010412327551Turnover
[
    {
        "trade_id": 52594124,
        "price": 98000.0000000000000000,
        "quote_volume": 0.0000010412327551,
        "base_volume": 0.1020408100000000,
        "type": "BUY",
        "timestamp": 1762965571597
    },
    {
        "trade_id": 52594123,
        "price": 35000.0000000000000000,
        "quote_volume": 7000.00000000000000,
        "base_volume": 0.2000000000000000,
        "type": "SELL",
        "timestamp": 1762965519813
    }
]

[Section B] Futures trading data

Contracts

GET https://futuresopenapi.idax.exchange/pub/contracts

Query parameters:

NameTypeExampleDescription
ticker_idstring?”BTC-PERPUSDT”Ticker ID of a futures pair (Will return all pairs if empty)

Response parameters:

NameTypeExampleDescription
codestring0Response status code
msgstringsuccessResponse status message
dataobject (Check the table below){}Response data
NameTypeExampleDescription
ticker_idstringCFX-PERPUSDTContract ticker ID
base_currencystringCFXBase asset
quote_currencystringUSDTQuote asset
last_pricestring0.04806Latest price
base_volumestring345346424 hour trading volume in base currency
quote_volumestring363465457524 hour trading volume in quote currency
volume_usdstring354364456.345424 hour trading volume in USD
bidstring3543Current highest bid price
askstring3546Current lowest ask price
highstring3454Highest price in 24 hours
lowstring453Lowest price in 24 hours
product_typestringPerpetualFutures, Perpetual, Options
open_intereststring2324The number of outstanding derivatives that have not been settled
open_interest_usdstring345.25435The sum of the Open Positions (long or short) in USD Value of the contract
index_pricestring23.42Last calculated index price
creation_timestampint1771920000000Start date of derivative (Perpetual contracts will default to 0)
expiry_timestampint1771920000000End date of derivative (Perpetual contracts will default to 0
funding_ratestring0.0001Current funding rate
next_funding_ratestring0.001Next funding rate
next_funding_rate_timestampint1771920000000Timestamp of next funding rate
open_maker_feestring0.0005Fee for creating a maker order
open_taker_feestring0.0001Fee for creating a taker order
close_maker_feestring0.0005Fee for closing a maker order
close_taker_feestring0.0001Fee for closing a taker order
contract_typestringVanillaContract type
contract_pricestring0.048345Price per contract
contract_price_currencystringUSDTContract price currency
timestampint1771908254327Request timestamp
  {
     "code":"0",
     "msg":"success",
     "data":{
        "contracts":[
           {
               "ticker_id":"CFX-PERPUSDT",
               "base_currency":"CFX",
               "quote_currency":"USDT",
               "last_price":"0.04806",
               "base_volume":"72770670",
               "quote_volume":"3570090",
               "volume_usd":"3568269.2541",
               "bid":"0.04802",
               "ask":"0.04811",
               "high":"0.05071",
               "low":"0.04772",
               "product_type":"Perpetual",
               "open_interest":"1393",
               "open_interest_usd":"67.071229552133147694724",
               "index_price":"0.0481733333333332",
               "creation_timestamp":0,
               "expiry_timestamp":0,
               "funding_rate":"0.0001",
               "next_funding_rate":"0.0001",
               "next_funding_rate_timestamp":1771920000000,
               "open_maker_fee":"0.0005",
               "open_taker_fee":"0.001",
               "close_maker_fee":"0.0005",
               "close_taker_fee":"0.001",
               "contract_type":"Vanilla",
               "contract_price":"0.0481733333333332",
               "contract_price_currency":"USDT",
               "timestamp":1771908254327
          }
        ]
     }
  }

Orderbook

GET https://futuresopenapi.idax.exchange/pub/orderbook

Query parameters

NameTypeExampleDescription
ticker_idstring?CFX-PERPUSDTTicker ID of a futures pair

Response parameters

NameTypeExampleDescription
codestring0Response status code
msgstringsuccessResponse status message
dataobject (Check the table below){}Response data
ticker_idstringBTC_PERPUSDTTicker id of requested symbol
timestampint1771913262174Timestamp of request time
NameTypeExampleDescription
orderbookobject
  ├─ bidsarrayArray of bid orders
    ├─ pricestring3454Bid order price
    ├─ amountstring1.3251Bid order amount in base asset
  ├─ asksarrayArray of ask orders
    ├─ pricestring3454Ask order price
    ├─ amountstring1.3251Ask order amount in base asset
{
   "code":"0",
   "msg":"success",
   "data":{
      "orderbook":{
         "bids":[
            {
               "price":"62991.7",
               "size":"1.082"
            },
            {
               "price":"62991.4",
               "size":"2.0058"
            }
         ],
         "asks":[
            {
               "price":"62992",
               "size":"0.6158"
            },
            {
               "price":"63001.5",
               "size":"10"
            }
         ]
      },
      "ticker_id":"BTC-PERPUSDT",
      "timestamp":1771913262174
   }
}